Limerence
Agents

Update Chat Message Pin

Update a chat message's metadata: pin/unpin (pinnedAt) and/or set/clear a private note.

PATCH
/agents/{id}/chats/{chatId}/messages/{messageId}

Update a chat message's metadata: pin/unpin (pinnedAt) and/or set/clear a private note.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string
chatId*string
messageId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://loading/agents/string/chats/string/messages/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "messageId": "string",
  "note": null,
  "pinnedAt": null
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "messages/not-found",
    "detail": "string"
  },
  "message": "Message not found"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}